<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// phpcs:disable Magento2.Templates.ThisInTemplate

/** @var $block \Magento\Sales\Block\Order\Email\Items\DefaultItems */

/** @var $_item \Magento\Sales\Model\Order\Item */
$_item = $block->getItem();
$_order = $_item->getOrder();
echo $block->getLayout()->createBlock('Magetop\Advancepreview\Block\Order\CustomOrderView')->setData(array('order'=>$_order,'item'=>$_item))->setTemplate('Magetop_Advancepreview::order/email/items/custom_default_item.phtml')->toHtml();
?>
